Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security
Interface ImportMBean

All Known Subinterfaces:
  DefaultAuthenticatorMBean, DefaultAuthorizerMBean, DefaultCredentialMapperMBean, DefaultRoleMapperMBean

public interface ImportMBean
extends weblogic.management.commo.StandardInterface

Provides a set of methods for importing provider specific data. A provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String[]` | `getSupportedImportConstraints()` A list of import constraints that this provider supports.
`java.lang.String[]` | `getSupportedImportFormats()` A list of import data formats that this provider supports.
`void` | `importData(java.lang.String format, java.lang.String filename, java.util.Properties constraints)` Imports provider specific data from a specified format.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### getSupportedImportFormats

    public java.lang.String[] getSupportedImportFormats()

  A list of import data formats that this provider supports.

  Legal NULL: true

### getSupportedImportConstraints

    public java.lang.String[] getSupportedImportConstraints()

  A list of import constraints that this provider supports.

  Legal NULL: true

### importData

    public void importData(java.lang.String format,
                           java.lang.String filename,
                           java.util.Properties constraints)
                    throws InvalidParameterException,
                           ErrorCollectionException

  Imports provider specific data from a specified format. When errors occur, the MBean throws an ErrorCollectionException containing a list of `java.lang.Exceptions, where the text of each exception describes the error.`

  Parameters:
    `format` - - The format for importing provider specific data.
    `filename` - - The full path to the filename used to read data.
    `constraints` - - The constraints to be used when importing data. A null value indicates that all data will be imported.
  Throws:
    InvalidParameterException -
    ErrorCollectionException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD